@import "../../global/variables";

header{
    display: flex;
    justify-content: space-between;
    align-items: center;
    background: $primary;
    padding: 0px 40px;
    height: 13vh;
    position: relative;
    @media (min-width: 2800px) and (max-width:8000px){
        height: 8vh;
    }
    @media (min-width: 1920px) and (max-width:2800px){
        height: 10vh;
    }
    @media (min-width: 1400px) and (max-width:1920px){
        height: 8vh;
    }
    @media (min-width:1400px) and (max-width:1600px){
        height: 10vh;
    } 
    @media (min-width:1024px) and (max-width:1400px){
        height: 8vh;
    } 

    @media (max-width:768px){
        height: 8vh;
        padding: 0px 20px;
    }

    @media (max-height:400px){
        height: 20vh;
    }
    input{
        display: none;
    }
    .header{
        &-logo{
            img{
                width: 140px;
                cursor: pointer;
                @media (min-width: 2800px) and (max-width:8000px){
                    width: 250px;
                }
                @media (min-width: 1024px) and (max-width:1400px){
                    width: 115px;
                }
                @media (max-width:768px){
                    width: 70%;
                }
                @media (max-width:500px){
                    width: 55%;
                }
               
            }
            
        }
        &-buttons{
            @media (max-width:768px){
                position: absolute;
                top: 8vh;
                width: 100%;
                left: 0;
                right: 0;
                margin: auto;
                clear: both;
                max-height: 0;
                transition: max-height .2s ease-out;
                margin: 0;
                padding: 0;
                list-style: none;
                overflow: hidden;
                background-color: #fff;
                z-index: 3;
                display: flex;
                flex-direction: column-reverse;
            }
        }
    }
    

    .menu-navegation {
        padding: 18px 40px;
        position: absolute;
        bottom: -52px;
        right: 0;
        background: $white;
        border-radius: 0px 0px 0px 30px;
        box-sizing: border-box;
        z-index: 2;
        @media (min-width: 4000px) and (max-width:8000px){
            padding: 70px 70px;
            top: 8vh;
            display: flex;
            align-items: center;
            justify-content: center;
            border-radius: 0px 0px 0px 60px;
        }
        @media (min-width: 2600px) and (max-width:4000px){
            padding: 70px 70px;
            top: 8vh;
            display: flex;
            align-items: center;
            justify-content: center;
            border-radius: 0px 0px 0px 60px;
        }
        @media (min-width:1920px) and (max-width:2600px){
            padding: 37px 33px;
            top: 10vh;
            display: flex;
            align-items: center;
            justify-content: center;
            border-radius: 0px 0px 0px 40px;
        }   
        @media (min-width:1680px) and (max-width:1920px){
            padding: 30px 33px;
            top: 8vh;
            display: flex;
            align-items: center;
            justify-content: center;
            border-radius: 0px 0px 0px 40px;
        } 
        @media (min-width: 1440px) and (max-width:1680px){
            padding: 0px 30px;  
            top: 8vh;
            height: 55px;
            display: flex;
            align-items: center;
            justify-content: center;
        }
        @media (min-width: 1024px) and (max-width:1440px){
            padding: 0px 30px;
            top: 8vh;
            height: 40px;
            display: flex;
            align-items: center;
            justify-content: center;
        }
        @media (max-width:1440px){
            padding: 0px 30px;
            top: 10vh;
            height: 50px;
            display: flex;
            align-items: center;
            justify-content: center;
        }
        @media (min-width: 1024px) and (max-width:1366px){
            padding: 0px 30px;
            top: 8vh;
            height: 40px;
            display: flex;
            align-items: center;
            justify-content: center;
        }
        @media (min-width: 768px) and (max-width:1024px){
            padding: 0px 30px;
            top: 8vh;
            height: 40px;
            display: flex;
            align-items: center;
            justify-content: center;
        }
        @media (max-width:768px){
            padding: 13px 14px;
            top: 8vh;
            border-radius: 0px 0px 0px 20px;
        }
        @media (max-height:400px){
            top: 20vh;
        }
        ul{
            display: flex;
            align-items: center;
            justify-content: center;
            li{
                padding: 0px 15px;
                @media (min-width: 2600px) and (max-width:8000px){
                    padding: 0px 40px;
                }
                @media (min-width:1400px) and (max-width:2600px){
                    padding: 0px 20px;
                }
                &:last-child {
                    padding-right: 0px;
                }
                a{
                    text-decoration: none;
                    color: $dark;
                    position: relative; 
                    @media (min-width: 4000px) and (max-width:8000px){
                        font-size: 50px;
                    }
                    @media (min-width: 2600px) and (max-width:4000px){
                        font-size: 50px;
                    }
                    @media (min-width:1920px) and (max-width:2600px){
                        font-size: 25px;
                    } 
                    @media (min-width:1400px) and (max-width:1920px){
                        font-size: 22px;
                    }
                    @media (min-width: 1024px) and (max-width:1400px){
                        font-size: 14px;
                    }
                    @media (max-width:768px){
                        font-size: 13px;
                    }
                    &.active:after {
                        content: '';
                        position: absolute;
                        left: 0;
                        right: 0;
                        bottom: -2px;
                        height: 2px;
                        background: $secondary;
                        @media (min-width: 2400px) and (max-width:8000px){
                            height: 4px;
                        }
                    }
                }
            }
        }
    }

    .btn-primary {
        background: $white;
        border: none;
        color: $dark;
        border-radius: 50px;
        padding: 10px 40px;
        border: 2px solid $secondary;
        outline: none;
        font-size: 16px;
        cursor: pointer;
        @media (min-width: 2600px) and (max-width:8000px){
            border-radius: 73px;
            padding: 25px 120px;
            border: 6px solid #FF7800;
            font-size: 36px;
        }
        @media (min-width:1600px) and (max-width:2600px){
            border: 4px solid #FF7800;
            font-size: 16px;
            padding: 7px 50px;
        } 

        @media (min-width:1400px) and (max-width:1600px){
            font-size: 18px;
        } 
        @media (min-width: 1024px) and (max-width:1400px){
            font-size: 13px;
            padding: 7px 25px;
        }

        @media (min-width: 768px) and (max-width:1024px){
            font-size: 13px;
            padding: 7px 25px;
        }
        @media (max-width:768px){
            width: 60%;
            margin: auto;
            margin-top: 10px;
            margin-bottom: 15px;
            font-size: 14px;
        }
        @media (max-width:500px){
            padding: 5px 25px;
        }
        @media (max-width:320px){
            width: 68%;
        }
    }

    .btn-secondary {
        background: $secondary;
        color:  $white;
        border: none;
        border-radius: 50px;
        padding: 10px 25px;
        border: 2px solid  $secondary;
        outline: none;
        margin-left: 15px;
        cursor: pointer;
        @media (min-width: 2600px) and (max-width:8000px){
            border-radius: 73px;
            padding: 25px 120px;
            border: 6px solid #FF7800;
            font-size: 36px;
            margin-left: 50px;
        }
        @media (min-width:1600px) and (max-width:2600px){
            border: 4px solid #FF7800;
            font-size: 16px;
            padding: 7px 50px;
            margin-left: 15px;
        } 
        @media (min-width:1400px) and (max-width:1600px){
            margin-left: 20px;
        } 
        @media (min-width: 1024px) and (max-width:1400px){
            padding: 7px 25px;
        }
        @media (min-width: 768px) and (max-width:1024px){
            padding: 7px 25px;
        }
        @media (max-width:768px){
            width: 60%;
            margin: auto;
            margin-top: 15px;
            margin-bottom: 0px;
            font-size: 14px;
        }


        @media (max-width:500px){
            padding: 5px 25px;
        }
        @media (max-width:320px){
            width: 68%;
        }
        &:nth-child(2){
            @media (max-width:768px){
                margin: 0 auto;
                margin-top:10px;
            }
        }

        span{
            display: flex;
            align-items: center;
            justify-content: center;
            position: relative;
            font-size: 16px;
            @media (min-width: 2600px) and (max-width:8000px){
                font-size: 36px;
            }
            @media (min-width:1400px) and (max-width:2600px){
                font-size: 16px;
            } 
            @media (min-width:1400px) and (max-width:1600px){
                font-size: 18px;
            } 
            @media (min-width: 1024px) and (max-width:1400px){
                font-size: 13px;
            }
            @media (min-width: 768px) and (max-width:1024px){
                font-size: 13px;
            }
            b{
                width: 15px;
                height: 15px;
                background: $white;
                margin-left: 5px;
                border-radius: 50px;
                position: relative;
                animation-name: pulse;
                animation-duration: .8s;
                animation-iteration-count: infinite;
                animation-direction: alternate;
                @media (min-width: 3000px) and (max-width:8000px){
                    width: 40px;
                    height: 40px;
                    margin-left: 15px;
                }
                @media (min-width: 2600px) and (max-width:3000px){
                    width: 40px;
                    height: 40px;
                    margin-left: 15px;
                }
                @media (min-width: 1920px) and (max-width:2600px){
                    width: 15px;
                    height: 15px;
                }
                @media (min-width: 1024px) and (max-width:1400px){
                    width: 15px;
                    height: 15px;
                }
                &::after{
                    content: '';
                    position: absolute;
                    left: 0;
                    right: 0;
                    top: 0;
                    bottom: 0;
                    width: 7px;
                    height: 7px;
                    background: $white;
                    margin: auto;
                    border-radius: 50px;
                    border: 3px solid $secondary;
                    @media (min-width: 3000px) and (max-width:8000px){
                        width: 17px;
                        height: 17px;
                        border: 7px solid #FF7800;
                    }
                    @media (min-width: 2600px) and (max-width:3000px){
                        width: 17px;
                        height: 17px;
                        border: 7px solid #FF7800;
                    }
                }
            }
        }
    }
}

/* Animaciones */
@keyframes pulse {
    from {
        transform: scale(1);
    }
    to {
        transform: scale(1.3);
    }
}


/* Menu burger */

.menu-icon {
    cursor: pointer;
    display: inline-block;
    float: right;
    padding: 0px;
    position: relative;
    user-select: none;
    display: none;
    @media (max-width:768px){
        display: block;
    }
}

.menu-icon .navicon {
    background: $white;
    display: block;
    height: 2px;
    position: relative;
    transition: background .2s ease-out;
    width: 18px;
}


.menu-icon .navicon:before, .menu-icon .navicon:after {
    background: $white;
    content: '';
    display: block;
    height: 100%;
    position: absolute;
    transition: all .2s ease-out;
    width: 100%;
}

.menu-icon .navicon:before {
    top: 5px;
  }
  

  .menu-icon .navicon:after {
    top: -5px;
  }

.menu-btn:checked ~ .menu-icon .navicon {
    background: transparent;
}

.menu-btn:checked ~ .menu-icon:not(.steps) .navicon:before, .menu-btn:checked ~ .menu-icon:not(.steps) .navicon:after {
    top: 0;
}
.menu-btn:checked ~ .menu-icon .navicon:before {
    transform: rotate(-45deg);
}

.menu-btn:checked ~ .menu-icon:not(.steps) .navicon:before, .menu-btn:checked ~ .menu-icon:not(.steps) .navicon:after {
    top: 0;
}
.menu-btn:checked ~ .menu-icon .navicon:after {
    transform: rotate(
45deg
);
}

.menu-btn:checked ~ .header-buttons {
    max-height: 240px;
}